 /**    
  ******************************************************************************
  * @attention    
  * Copyright 2023 SHANGHAI FUDAN MICROELECTRONICS GROUP CO., LTD.(FUDAN MICRO.)
  *        
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met: 
  *    
  * 1. Redistributions of source code must retain the above copyright notice, 
  *    this list of conditions and the following disclaimer.
  *    
  * 2. Redistributions in binary form must reproduce the above copyright notice,
  *    this list of conditions and the following disclaimer in the documentation
  *    and/or other materials provided with the distribution.
  *    
  * 3. Neither the name of the copyright holder nor the names of its contributors 
  *    may be used to endorse or promote products derived from this software without
  *    specific prior written permission.
  *    
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS “AS IS”
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE   
  * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
  * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
  * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT   
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
  * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
  *******************************************************************************
  */  

#ifndef __CLOCK_H__
#define __CLOCK_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "fm33fg0xxa_fl.h"
#include <stdio.h>

typedef enum
{
    SYSCLK_NORMAL = 0x00000000,
    SYSCLK_ERROR  = 0x55AAAA55,
}SYSCLK_STATE;

extern volatile uint32_t SYSCLKSELErrorState;
extern volatile SYSCLK_STATE SYSCLKState;

extern const FL_CMU_RCHF_InitTypeDef CMU_RCHF_Init_Data;
extern const FL_CMU_XTHF_InitTypeDef CMU_XTHF_Init_Data;
extern const FL_CMU_PLL_InitTypeDef CMU_PLL_Init_Data;

extern void SwtichToSenondarySystemClock(const FL_CMU_RCHF_InitTypeDef *rchf,
                                         const FL_CMU_PLL_InitTypeDef  *pll);

extern void SwtichToMainSystemClock(const FL_CMU_RCHF_InitTypeDef *rchf,
                                    const FL_CMU_XTHF_InitTypeDef *xthf,
                                    const FL_CMU_PLL_InitTypeDef  *pll);
                                    
extern void RCC_PLL_ConfigDomain_SYS(uint32_t Source, uint32_t PLL_R, uint32_t PLL_DB);
                                    
extern void XTHFInit(const FL_CMU_XTHF_InitTypeDef *init);
                                    
extern uint32_t SelXTHFToPLL(const FL_CMU_XTHF_InitTypeDef *xthfInit, 
                             const FL_CMU_PLL_InitTypeDef  *pllInit);
void SystemClockSel_XTHF(const FL_CMU_XTHF_InitTypeDef *init);

#ifdef __cplusplus
}
#endif

#endif

